#!/usr/bin/env python3

import sys
import swfileIO.ml_abn as ml_abn
import phutils

if len(sys.argv) < 3:
    print("provide input and output filenames")


mobj = ml_abn.ml_abn(".",filetype="none")
mobj.read_MLIP_cfg(sys.argv[1])
geos = mobj.get_geos()
if len(geos)==1:
    phutils.write_vasprun_xml(geos[0].adata["forces"], sys.argv[2], factor  = 1.0, energy=None)
else:
    for gid,geo in enumerate(geos):
        phutils.write_vasprun_xml(geos[gid].adata["forces"], sys.argv[2]+"-"+str(gid), factor  = 1.0, energy=None)
